## org.hibernate.ejb.metamodel
Class BasicTypeImpl<X>

    java.lang.Object
      org.hibernate.ejb.metamodel.BasicTypeImpl<X>

All Implemented Interfaces:
  Serializable, javax.persistence.metamodel.BasicType<X>, javax.persistence.metamodel.Type<X>

    public class BasicTypeImpl<X>

extends Object
implements javax.persistence.metamodel.BasicType<X>, Serializable

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type
`javax.persistence.metamodel.Type.PersistenceType`

Constructor Summary
`BasicTypeImpl(Class<X> clazz, javax.persistence.metamodel.Type.PersistenceType persistenceType)`

Method Summary
`Class<X>` `getJavaType()`
`javax.persistence.metamodel.Type.PersistenceType` `getPersistenceType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTypeImpl

    public BasicTypeImpl(Class<X> clazz,
                         javax.persistence.metamodel.Type.PersistenceType persistenceType)

Method Detail

### getPersistenceType

    public javax.persistence.metamodel.Type.PersistenceType getPersistenceType()

  Specified by:
    `getPersistenceType` in interface `javax.persistence.metamodel.Type<X>`

### getJavaType

    public Class<X> getJavaType()

  Specified by:
    `getJavaType` in interface `javax.persistence.metamodel.Type<X>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.